--      DC3 RPM Gauge     --
-------------------------------------
--     Load and display images     --
-------------------------------------
img_add_fullscreen("RPM_DC3.png")
img_needle_left = img_add_fullscreen("C402_needle_L.png")
img_needle_right = img_add_fullscreen("C402_needle_R.png")
mask_day = img_add_fullscreen("mask_day.png")
mask_light = img_add_fullscreen("mask_light.png")
mask_night = img_add_fullscreen("mask_night.png")
mask_dusk = img_add_fullscreen("mask_dusk.png")

--choix d'image en fontion de l'eclairage--
 function new_light_FSX(light,ambiance,master)
lighted=light and master
img_visible(mask_light, lighted)
img_visible(mask_night, lighted == false and ambiance== 3)
img_visible(mask_dusk, lighted == false and ambiance== 2)
img_visible(mask_day, ambiance == 1)

end
---------------
-- Functions --
---------------

function new_RPM(eRPM)

rpm1 = eRPM[1]
rpm2 = eRPM[2]

rpm1 = var_cap(rpm1, 0, 3400)
rpm2 = var_cap(rpm2, 0, 3400)

img_rotate(img_needle_left,((446/3400) * rpm1) - 166)
img_rotate(img_needle_right, ((446/3400) * rpm2) - 166)

end

function new_RPM_FSX(rpm1, rpm2)

	new_RPM({rpm1, rpm2})

end

-------------------
-- Bus subscribe --
-------------------

xpl_dataref_subscribe("sim/cockpit2/engine/indicators/prop_speed_rpm", "FLOAT[8]", new_RPM)
fsx_variable_subscribe("PROP RPM:1", "Rpm",
					   "PROP RPM:2", "RPM", new_RPM_FSX)
					   
--Images--
img_add_fullscreen("glass.png") -- Without glass insert two - at the beginning of the line 

fsx_variable_subscribe("LIGHT PANEL","Bool",
                  "TIME OF DAY", "Enum",
                  "ELECTRICAL MASTER BATTERY", "Bool", new_light_FSX)  -- FSX Variables night light					   